org.apache.geode.distributed

## Enum ServerLauncherParameters

- java.lang.Object
- - java.lang.Enum<ServerLauncherParameters>
  - - org.apache.geode.distributed.ServerLauncherParameters

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ServerLauncherParameters>

      public enum ServerLauncherParameters
      extends java.lang.Enum<ServerLauncherParameters>

  GEODE-5256: Parameters containing startup options specified by the user. Shared from ServerLauncher during startup, and available to other internal classes through static accessors.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSTANCE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `java.lang.String` | `getBindAddress()`
    `java.lang.String` | `getHostnameForClients()`
    `java.lang.Integer` | `getMaxConnections()`
    `java.lang.Integer` | `getMaxMessageCount()`
    `java.lang.Integer` | `getMaxThreads()`
    `java.lang.Integer` | `getMessageTimeToLive()`
    `java.lang.Integer` | `getPort()`
    `java.lang.Integer` | `getSocketBufferSize()`
    `java.lang.Boolean` | `isDisableDefaultServer()`
    `static ServerLauncherParameters` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ServerLauncherParameters[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
    `ServerLauncherParameters` | `withBindAddress(java.lang.String bindAddress)`
    `ServerLauncherParameters` | `withDisableDefaultServer(java.lang.Boolean disableDefaultServer)`
    `ServerLauncherParameters` | `withHostnameForClients(java.lang.String hostnameForClients)`
    `ServerLauncherParameters` | `withMaxConnections(java.lang.Integer maxConnections)`
    `ServerLauncherParameters` | `withMaxMessageCount(java.lang.Integer maxMessageCount)`
    `ServerLauncherParameters` | `withMaxThreads(java.lang.Integer maxThreads)`
    `ServerLauncherParameters` | `withMessageTimeToLive(java.lang.Integer messageTimeToLive)`
    `ServerLauncherParameters` | `withPort(java.lang.Integer port)`
    `ServerLauncherParameters` | `withSocketBufferSize(java.lang.Integer socketBufferSize)`

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final ServerLauncherParameters INSTANCE

  - ### Method Detail

    - #### values

          public static ServerLauncherParameters[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServerLauncherParameters c : ServerLauncherParameters.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServerLauncherParameters valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPort

          public java.lang.Integer getPort()

    - #### getMaxThreads

          public java.lang.Integer getMaxThreads()

    - #### getBindAddress

          public java.lang.String getBindAddress()

    - #### getMaxConnections

          public java.lang.Integer getMaxConnections()

    - #### getMaxMessageCount

          public java.lang.Integer getMaxMessageCount()

    - #### getSocketBufferSize

          public java.lang.Integer getSocketBufferSize()

    - #### getMessageTimeToLive

          public java.lang.Integer getMessageTimeToLive()

    - #### getHostnameForClients

          public java.lang.String getHostnameForClients()

    - #### isDisableDefaultServer

          public java.lang.Boolean isDisableDefaultServer()

    - #### withPort

          public ServerLauncherParameters withPort(java.lang.Integer port)

    - #### withMaxThreads

          public ServerLauncherParameters withMaxThreads(java.lang.Integer maxThreads)

    - #### withBindAddress

          public ServerLauncherParameters withBindAddress(java.lang.String bindAddress)

    - #### withMaxConnections

          public ServerLauncherParameters withMaxConnections(java.lang.Integer maxConnections)

    - #### withMaxMessageCount

          public ServerLauncherParameters withMaxMessageCount(java.lang.Integer maxMessageCount)

    - #### withSocketBufferSize

          public ServerLauncherParameters withSocketBufferSize(java.lang.Integer socketBufferSize)

    - #### withMessageTimeToLive

          public ServerLauncherParameters withMessageTimeToLive(java.lang.Integer messageTimeToLive)

    - #### withHostnameForClients

          public ServerLauncherParameters withHostnameForClients(java.lang.String hostnameForClients)

    - #### withDisableDefaultServer

          public ServerLauncherParameters withDisableDefaultServer(java.lang.Boolean disableDefaultServer)

    - #### clear

          public void clear()